/**
 * Test case for load.
 * Runs with nodeunit.
 */

var load = require('../lib/load.js'),
    coz = require('coz');

exports.setUp = function (done) {
    done();
};

exports.tearDown = function (done) {
    done();
};

exports['Load and render.'] = function (test) {
    var bud = load({
        type: 'size'
    }, '444', true);
    test.ok(bud);
    test.ok(bud.tmpl);
    bud.mkdirp = true;
    bud.path = __dirname + '/../tmp/foo/bar/baz.txt';
    coz.render(bud, function (err) {
        test.ifError(err);
        test.done();
    });
};

