apeman-tmpl-scss
==========

<!-- Badge Start -->
<a name="badges"></a>

[![Build Status][bd_travis_shield_url]][bd_travis_url]
[![Code Climate][bd_codeclimate_shield_url]][bd_codeclimate_url]
[![Code Coverage][bd_codeclimate_coverage_shield_url]][bd_codeclimate_url]
[![npm Version][bd_npm_shield_url]][bd_npm_url]

[bd_repo_url]: https://github.com/apeman-tmpl-labo/apeman-tmpl-scss
[bd_travis_url]: http://travis-ci.org/apeman-tmpl-labo/apeman-tmpl-scss
[bd_travis_shield_url]: http://img.shields.io/travis/apeman-tmpl-labo/apeman-tmpl-scss.svg?style=flat
[bd_license_url]: https://github.com/apeman-tmpl-labo/apeman-tmpl-scss/blob/master/LICENSE
[bd_codeclimate_url]: http://codeclimate.com/github/apeman-tmpl-labo/apeman-tmpl-scss
[bd_codeclimate_shield_url]: http://img.shields.io/codeclimate/github/apeman-tmpl-labo/apeman-tmpl-scss.svg?style=flat
[bd_codeclimate_coverage_shield_url]: http://img.shields.io/codeclimate/coverage/github/apeman-tmpl-labo/apeman-tmpl-scss.svg?style=flat
[bd_gemnasium_url]: https://gemnasium.com/apeman-tmpl-labo/apeman-tmpl-scss
[bd_gemnasium_shield_url]: https://gemnasium.com/apeman-tmpl-labo/apeman-tmpl-scss.svg
[bd_npm_url]: http://www.npmjs.org/package/apeman-tmpl-scss
[bd_npm_shield_url]: http://img.shields.io/npm/v/apeman-tmpl-scss.svg?style=flat
[bd_bower_badge_url]: https://img.shields.io/bower/v/apeman-tmpl-scss.svg?style=flat

<!-- Badge End -->


<!-- Description Start -->
<a name="description"></a>

apeman template of scss files.

<!-- Description End -->


<!-- Overview Start -->
<a name="overview"></a>


<!-- Overview End -->


<!-- Sections Start -->
<a name="sections"></a>

<!-- Section from "doc/readme/01.Installation.md.hbs" Start -->

<a name="section-doc-readme-01-installation-md"></a>
Installation
-----

```bash
$ npm install apeman-tmpl-scss --save-dev
```

<!-- Section from "doc/readme/01.Installation.md.hbs" End -->

<!-- Section from "doc/readme/02.Usage.md.hbs" Start -->

<a name="section-doc-readme-02-usage-md"></a>
Usage
---------

1. Define a tmpl within Apemanfile.js
2. Remteder templates via apeman tmpl command.

**Apemanfile.js**
```javascript
/** This example Apemanfile to use apeman-tmpl-scss */

"use strict";

module.exports = {
    $pkg: {/*...*/},
    $tmpls: {
        // Map file path and template.
        'src/my-dest.txt': require('apeman-tmpl-scss')({
            // Pass rendering params
        })
    }
};
```

Then,
```bash
$ apeman tmpl
```

<!-- Section from "doc/readme/02.Usage.md.hbs" End -->

<!-- Section from "doc/readme/03.Params.md.hbs" Start -->

<a name="section-doc-readme-03-params-md"></a>
Params
---------

| Key | Description |
| --- | -------- |
<!-- Section from "doc/readme/03.Params.md.hbs" End -->


<!-- Sections Start -->


<!-- LICENSE Start -->
<a name="license"></a>

License
-------
This software is released under the [MIT License](https://github.com/apeman-tmpl-labo/apeman-tmpl-scss/blob/master/LICENSE).

<!-- LICENSE End -->


<!-- Links Start -->
<a name="links"></a>

Links
------

+ [apeman](https://github.com/apeman-labo/apeman)
+ [apeman-tmpl](https://github.com/apeman-labo/apeman-tmpl)

<!-- Links End -->
