/**
 * @function _tmpl
 * @private
 * @returns {string}
 */
"use strict";

var fs = require('fs'),
    stringcase = require('stringcase'),
    _types = require('./_types');

/** @lends _tmpl */
function _tmpl(type) {
    var dirname = __dirname + '/../';
    var key = stringcase.camelcase(type).trim();
    var filename = _types[key] || _types[key + 'Scss'];
    if (!filename) {
        return null;
    }
    return fs.readFileSync(dirname + filename).toString();

}
module.exports = _tmpl;
